# RollingFileAppender.cpp File Reference

`#include "PortabilityImpl.hh"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <log4cpp/RollingFileAppender.hh>`
`#include <log4cpp/Category.hh>`
`#include <log4cpp/FactoryParams.hh>`
`#include <memory>`
`#include <stdio.h>`

Include dependency graph for RollingFileAppender.cpp:

## Namespaces

namespace | log4cpp

## Functions

std::auto_ptr< Appender > | log4cpp::create_roll_file_appender (const FactoryParams &)